Loading...
Searching...
No Matches
bssgp_bvc_fsm_ops Struct Reference

`#include <bssgp_bvc_fsm.h>`

## Data Fields

void(* | state_chg_notification )(uint16_t nsei, uint16_t bvci, int old_state, int new_state, void *priv)
void(* | reset_notification )(uint16_t nsei, uint16_t bvci, const struct gprs_ra_id *ra_id, uint16_t cell_id, uint8_t cause, void *priv)
void(* | rx_fc_bvc )(uint16_t nsei, uint16_t bvci, const struct bssgp2_flow_ctrl *fc, void *priv)
void(* | reset_ack_notification )(uint16_t nsei, uint16_t bvci, const struct gprs_ra_id *ra_id, uint16_t cell_id, uint8_t cause, void *priv)

## Field Documentation

## reset_ack_notification

void(* bssgp_bvc_fsm_ops::reset_ack_notification) (uint16_t nsei, uint16_t bvci, const struct gprs_ra_id *ra_id, uint16_t cell_id, uint8_t cause, void *priv)

Referenced by bssgp_bvc_fsm_wait_reset_ack().

## reset_notification

void(* bssgp_bvc_fsm_ops::reset_notification) (uint16_t nsei, uint16_t bvci, const struct gprs_ra_id *ra_id, uint16_t cell_id, uint8_t cause, void *priv)

Referenced by bssgp_bvc_fsm_allstate().

## rx_fc_bvc

void(* bssgp_bvc_fsm_ops::rx_fc_bvc) (uint16_t nsei, uint16_t bvci, const struct bssgp2_flow_ctrl *fc, void *priv)

Referenced by bssgp_bvc_fsm_unblocked().

## state_chg_notification

void(* bssgp_bvc_fsm_ops::state_chg_notification) (uint16_t nsei, uint16_t bvci, int old_state, int new_state, void *priv)

Referenced by _onenter_tail().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/bssgp_bvc_fsm.h